Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel.impl
Class FsMessageFilterDocumentImpl.FsMessageFilterImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.jboss.soa.esb.listeners.config.xbeanmodel.impl.FsMessageFilterDocumentImpl.FsMessageFilterImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource, FsMessageFilterDocument.FsMessageFilter

Enclosing class:
  FsMessageFilterDocumentImpl

    public static class FsMessageFilterDocumentImpl.FsMessageFilterImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements FsMessageFilterDocument.FsMessageFilter

An XML fs-message-filter(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.FsMessageFilterDocument.FsMessageFilter
`FsMessageFilterDocument.FsMessageFilter.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.FsMessageFilterDocument.FsMessageFilter
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`FsMessageFilterDocumentImpl.FsMessageFilterImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`java.lang.String` | `getDirectory()` Gets the "directory" attribute
`boolean` | `getErrorDelete()` Gets the "error-delete" attribute
`java.lang.String` | `getErrorDirectory()` Gets the "error-directory" attribute
`java.lang.String` | `getErrorSuffix()` Gets the "error-suffix" attribute
`java.lang.String` | `getInputSuffix()` Gets the "input-suffix" attribute
`boolean` | `getPostDelete()` Gets the "post-delete" attribute
`java.lang.String` | `getPostDirectory()` Gets the "post-directory" attribute
`boolean` | `getPostRename()` Gets the "post-rename" attribute
`java.lang.String` | `getPostSuffix()` Gets the "post-suffix" attribute
`java.lang.String` | `getWorkSuffix()` Gets the "work-suffix" attribute
`boolean` | `isSetErrorDelete()` True if has "error-delete" attribute
`boolean` | `isSetErrorDirectory()` True if has "error-directory" attribute
`boolean` | `isSetErrorSuffix()` True if has "error-suffix" attribute
`boolean` | `isSetInputSuffix()` True if has "input-suffix" attribute
`boolean` | `isSetPostDelete()` True if has "post-delete" attribute
`boolean` | `isSetPostDirectory()` True if has "post-directory" attribute
`boolean` | `isSetPostRename()` True if has "post-rename" attribute
`boolean` | `isSetPostSuffix()` True if has "post-suffix" attribute
`boolean` | `isSetWorkSuffix()` True if has "work-suffix" attribute
`void` | `setDirectory(java.lang.String directory)` Sets the "directory" attribute
`void` | `setErrorDelete(boolean errorDelete)` Sets the "error-delete" attribute
`void` | `setErrorDirectory(java.lang.String errorDirectory)` Sets the "error-directory" attribute
`void` | `setErrorSuffix(java.lang.String errorSuffix)` Sets the "error-suffix" attribute
`void` | `setInputSuffix(java.lang.String inputSuffix)` Sets the "input-suffix" attribute
`void` | `setPostDelete(boolean postDelete)` Sets the "post-delete" attribute
`void` | `setPostDirectory(java.lang.String postDirectory)` Sets the "post-directory" attribute
`void` | `setPostRename(boolean postRename)` Sets the "post-rename" attribute
`void` | `setPostSuffix(java.lang.String postSuffix)` Sets the "post-suffix" attribute
`void` | `setWorkSuffix(java.lang.String workSuffix)` Sets the "work-suffix" attribute
`void` | `unsetErrorDelete()` Unsets the "error-delete" attribute
`void` | `unsetErrorDirectory()` Unsets the "error-directory" attribute
`void` | `unsetErrorSuffix()` Unsets the "error-suffix" attribute
`void` | `unsetInputSuffix()` Unsets the "input-suffix" attribute
`void` | `unsetPostDelete()` Unsets the "post-delete" attribute
`void` | `unsetPostDirectory()` Unsets the "post-directory" attribute
`void` | `unsetPostRename()` Unsets the "post-rename" attribute
`void` | `unsetPostSuffix()` Unsets the "post-suffix" attribute
`void` | `unsetWorkSuffix()` Unsets the "work-suffix" attribute
`org.apache.xmlbeans.XmlString` | `xgetDirectory()` Gets (as xml) the "directory" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetErrorDelete()` Gets (as xml) the "error-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetErrorDirectory()` Gets (as xml) the "error-directory" attribute
`org.apache.xmlbeans.XmlString` | `xgetErrorSuffix()` Gets (as xml) the "error-suffix" attribute
`org.apache.xmlbeans.XmlString` | `xgetInputSuffix()` Gets (as xml) the "input-suffix" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPostDelete()` Gets (as xml) the "post-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetPostDirectory()` Gets (as xml) the "post-directory" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPostRename()` Gets (as xml) the "post-rename" attribute
`org.apache.xmlbeans.XmlString` | `xgetPostSuffix()` Gets (as xml) the "post-suffix" attribute
`org.apache.xmlbeans.XmlString` | `xgetWorkSuffix()` Gets (as xml) the "work-suffix" attribute
`void` | `xsetDirectory(org.apache.xmlbeans.XmlString directory)` Sets (as xml) the "directory" attribute
`void` | `xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)` Sets (as xml) the "error-delete" attribute
`void` | `xsetErrorDirectory(org.apache.xmlbeans.XmlString errorDirectory)` Sets (as xml) the "error-directory" attribute
`void` | `xsetErrorSuffix(org.apache.xmlbeans.XmlString errorSuffix)` Sets (as xml) the "error-suffix" attribute
`void` | `xsetInputSuffix(org.apache.xmlbeans.XmlString inputSuffix)` Sets (as xml) the "input-suffix" attribute
`void` | `xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)` Sets (as xml) the "post-delete" attribute
`void` | `xsetPostDirectory(org.apache.xmlbeans.XmlString postDirectory)` Sets (as xml) the "post-directory" attribute
`void` | `xsetPostRename(org.apache.xmlbeans.XmlBoolean postRename)` Sets (as xml) the "post-rename" attribute
`void` | `xsetPostSuffix(org.apache.xmlbeans.XmlString postSuffix)` Sets (as xml) the "post-suffix" attribute
`void` | `xsetWorkSuffix(org.apache.xmlbeans.XmlString workSuffix)` Sets (as xml) the "work-suffix" attribute

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### FsMessageFilterDocumentImpl.FsMessageFilterImpl

    public FsMessageFilterDocumentImpl.FsMessageFilterImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getDirectory

    public java.lang.String getDirectory()

  Gets the "directory" attribute

  Specified by:
    `getDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetDirectory

    public org.apache.xmlbeans.XmlString xgetDirectory()

  Gets (as xml) the "directory" attribute

  Specified by:
    `xgetDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### setDirectory

    public void setDirectory(java.lang.String directory)

  Sets the "directory" attribute

  Specified by:
    `setDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetDirectory

    public void xsetDirectory(org.apache.xmlbeans.XmlString directory)

  Sets (as xml) the "directory" attribute

  Specified by:
    `xsetDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### getInputSuffix

    public java.lang.String getInputSuffix()

  Gets the "input-suffix" attribute

  Specified by:
    `getInputSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetInputSuffix

    public org.apache.xmlbeans.XmlString xgetInputSuffix()

  Gets (as xml) the "input-suffix" attribute

  Specified by:
    `xgetInputSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### isSetInputSuffix

    public boolean isSetInputSuffix()

  True if has "input-suffix" attribute

  Specified by:
    `isSetInputSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### setInputSuffix

    public void setInputSuffix(java.lang.String inputSuffix)

  Sets the "input-suffix" attribute

  Specified by:
    `setInputSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetInputSuffix

    public void xsetInputSuffix(org.apache.xmlbeans.XmlString inputSuffix)

  Sets (as xml) the "input-suffix" attribute

  Specified by:
    `xsetInputSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### unsetInputSuffix

    public void unsetInputSuffix()

  Unsets the "input-suffix" attribute

  Specified by:
    `unsetInputSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### getWorkSuffix

    public java.lang.String getWorkSuffix()

  Gets the "work-suffix" attribute

  Specified by:
    `getWorkSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetWorkSuffix

    public org.apache.xmlbeans.XmlString xgetWorkSuffix()

  Gets (as xml) the "work-suffix" attribute

  Specified by:
    `xgetWorkSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### isSetWorkSuffix

    public boolean isSetWorkSuffix()

  True if has "work-suffix" attribute

  Specified by:
    `isSetWorkSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### setWorkSuffix

    public void setWorkSuffix(java.lang.String workSuffix)

  Sets the "work-suffix" attribute

  Specified by:
    `setWorkSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetWorkSuffix

    public void xsetWorkSuffix(org.apache.xmlbeans.XmlString workSuffix)

  Sets (as xml) the "work-suffix" attribute

  Specified by:
    `xsetWorkSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### unsetWorkSuffix

    public void unsetWorkSuffix()

  Unsets the "work-suffix" attribute

  Specified by:
    `unsetWorkSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### getPostDelete

    public boolean getPostDelete()

  Gets the "post-delete" attribute

  Specified by:
    `getPostDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetPostDelete

    public org.apache.xmlbeans.XmlBoolean xgetPostDelete()

  Gets (as xml) the "post-delete" attribute

  Specified by:
    `xgetPostDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### isSetPostDelete

    public boolean isSetPostDelete()

  True if has "post-delete" attribute

  Specified by:
    `isSetPostDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### setPostDelete

    public void setPostDelete(boolean postDelete)

  Sets the "post-delete" attribute

  Specified by:
    `setPostDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetPostDelete

    public void xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)

  Sets (as xml) the "post-delete" attribute

  Specified by:
    `xsetPostDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### unsetPostDelete

    public void unsetPostDelete()

  Unsets the "post-delete" attribute

  Specified by:
    `unsetPostDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### getPostRename

    public boolean getPostRename()

  Gets the "post-rename" attribute

  Specified by:
    `getPostRename` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetPostRename

    public org.apache.xmlbeans.XmlBoolean xgetPostRename()

  Gets (as xml) the "post-rename" attribute

  Specified by:
    `xgetPostRename` in interface `FsMessageFilterDocument.FsMessageFilter`

### isSetPostRename

    public boolean isSetPostRename()

  True if has "post-rename" attribute

  Specified by:
    `isSetPostRename` in interface `FsMessageFilterDocument.FsMessageFilter`

### setPostRename

    public void setPostRename(boolean postRename)

  Sets the "post-rename" attribute

  Specified by:
    `setPostRename` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetPostRename

    public void xsetPostRename(org.apache.xmlbeans.XmlBoolean postRename)

  Sets (as xml) the "post-rename" attribute

  Specified by:
    `xsetPostRename` in interface `FsMessageFilterDocument.FsMessageFilter`

### unsetPostRename

    public void unsetPostRename()

  Unsets the "post-rename" attribute

  Specified by:
    `unsetPostRename` in interface `FsMessageFilterDocument.FsMessageFilter`

### getPostDirectory

    public java.lang.String getPostDirectory()

  Gets the "post-directory" attribute

  Specified by:
    `getPostDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetPostDirectory

    public org.apache.xmlbeans.XmlString xgetPostDirectory()

  Gets (as xml) the "post-directory" attribute

  Specified by:
    `xgetPostDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### isSetPostDirectory

    public boolean isSetPostDirectory()

  True if has "post-directory" attribute

  Specified by:
    `isSetPostDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### setPostDirectory

    public void setPostDirectory(java.lang.String postDirectory)

  Sets the "post-directory" attribute

  Specified by:
    `setPostDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetPostDirectory

    public void xsetPostDirectory(org.apache.xmlbeans.XmlString postDirectory)

  Sets (as xml) the "post-directory" attribute

  Specified by:
    `xsetPostDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### unsetPostDirectory

    public void unsetPostDirectory()

  Unsets the "post-directory" attribute

  Specified by:
    `unsetPostDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### getPostSuffix

    public java.lang.String getPostSuffix()

  Gets the "post-suffix" attribute

  Specified by:
    `getPostSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetPostSuffix

    public org.apache.xmlbeans.XmlString xgetPostSuffix()

  Gets (as xml) the "post-suffix" attribute

  Specified by:
    `xgetPostSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### isSetPostSuffix

    public boolean isSetPostSuffix()

  True if has "post-suffix" attribute

  Specified by:
    `isSetPostSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### setPostSuffix

    public void setPostSuffix(java.lang.String postSuffix)

  Sets the "post-suffix" attribute

  Specified by:
    `setPostSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetPostSuffix

    public void xsetPostSuffix(org.apache.xmlbeans.XmlString postSuffix)

  Sets (as xml) the "post-suffix" attribute

  Specified by:
    `xsetPostSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### unsetPostSuffix

    public void unsetPostSuffix()

  Unsets the "post-suffix" attribute

  Specified by:
    `unsetPostSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### getErrorDelete

    public boolean getErrorDelete()

  Gets the "error-delete" attribute

  Specified by:
    `getErrorDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetErrorDelete

    public org.apache.xmlbeans.XmlBoolean xgetErrorDelete()

  Gets (as xml) the "error-delete" attribute

  Specified by:
    `xgetErrorDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### isSetErrorDelete

    public boolean isSetErrorDelete()

  True if has "error-delete" attribute

  Specified by:
    `isSetErrorDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### setErrorDelete

    public void setErrorDelete(boolean errorDelete)

  Sets the "error-delete" attribute

  Specified by:
    `setErrorDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetErrorDelete

    public void xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)

  Sets (as xml) the "error-delete" attribute

  Specified by:
    `xsetErrorDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### unsetErrorDelete

    public void unsetErrorDelete()

  Unsets the "error-delete" attribute

  Specified by:
    `unsetErrorDelete` in interface `FsMessageFilterDocument.FsMessageFilter`

### getErrorDirectory

    public java.lang.String getErrorDirectory()

  Gets the "error-directory" attribute

  Specified by:
    `getErrorDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetErrorDirectory

    public org.apache.xmlbeans.XmlString xgetErrorDirectory()

  Gets (as xml) the "error-directory" attribute

  Specified by:
    `xgetErrorDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### isSetErrorDirectory

    public boolean isSetErrorDirectory()

  True if has "error-directory" attribute

  Specified by:
    `isSetErrorDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### setErrorDirectory

    public void setErrorDirectory(java.lang.String errorDirectory)

  Sets the "error-directory" attribute

  Specified by:
    `setErrorDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetErrorDirectory

    public void xsetErrorDirectory(org.apache.xmlbeans.XmlString errorDirectory)

  Sets (as xml) the "error-directory" attribute

  Specified by:
    `xsetErrorDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### unsetErrorDirectory

    public void unsetErrorDirectory()

  Unsets the "error-directory" attribute

  Specified by:
    `unsetErrorDirectory` in interface `FsMessageFilterDocument.FsMessageFilter`

### getErrorSuffix

    public java.lang.String getErrorSuffix()

  Gets the "error-suffix" attribute

  Specified by:
    `getErrorSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### xgetErrorSuffix

    public org.apache.xmlbeans.XmlString xgetErrorSuffix()

  Gets (as xml) the "error-suffix" attribute

  Specified by:
    `xgetErrorSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### isSetErrorSuffix

    public boolean isSetErrorSuffix()

  True if has "error-suffix" attribute

  Specified by:
    `isSetErrorSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### setErrorSuffix

    public void setErrorSuffix(java.lang.String errorSuffix)

  Sets the "error-suffix" attribute

  Specified by:
    `setErrorSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### xsetErrorSuffix

    public void xsetErrorSuffix(org.apache.xmlbeans.XmlString errorSuffix)

  Sets (as xml) the "error-suffix" attribute

  Specified by:
    `xsetErrorSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

### unsetErrorSuffix

    public void unsetErrorSuffix()

  Unsets the "error-suffix" attribute

  Specified by:
    `unsetErrorSuffix` in interface `FsMessageFilterDocument.FsMessageFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD